#include<iostream>
#include<algorithm>
using namespace std;

int minBR(long long a[], int n, int x)
{
    int l=0, d=0, e=0;
    for (int i = 0; i < n; i++)
    {
        if (a[i] == x)
            e++;
        else if (a[i] > x)
            d++;
        else if (a[i] < x)
            l++;
    }

    int res = 0;
    if (l > d)
        res = l - d;
    else if (l < d)
        res = d - l + 1;
    else if(l==d)
        res = e;

    return res - e;
}
int main()
{
    int n, q;
    cin >> n >> q;
    long long a[n], b[q];
    for(int i=0; i<n; i++)
        cin >> a[i];
    for(int i=0; i<q; i++)
        cin >> b[i];

    sort(a, a + n);
    for(int i=0; i<q; i++)
    {
        cout << minBR(a, n, b[i]) << endl;
    }
    return 0;
}